
Summary: Chemtool is a program for 2D drawing organic molecules
Name: chemtool
Version: 1.6
Release: 1
Copyright: GPL
Group: Applications/Chemistry
Source: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
URL: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/chemtool.html
Packager: Radek Liboska <liboska@uochb.cas.cz>
Vendor: Thomas Volk & Martin Kroeker
Icon: chemtool.xpm
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
%define name0 cht

%description
Chemtool is a program for drawing organic molecules easily and store them in
a variety of output formats including as a X bitmap, Xfig, SVG or EPS file. 
It runs under the X Window System using the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%prefix/{bin,man/man1,doc/%{name}-%{version},share/%{name}-%{version}/examples}
install -d $RPM_BUILD_ROOT/usr/share/locale/{cs,de,fr,pl,pt_BR,ru}/LC_MESSAGES
install -d $RPM_BUILD_ROOT/usr/share/{icons,pixmaps}
install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install -s -m 755 %{name} $RPM_BUILD_ROOT%prefix/bin
install -s -m 755 src-cht/%{name0} $RPM_BUILD_ROOT%prefix/bin
install -m 644 %{name}.xpm $RPM_BUILD_ROOT/usr/share/icons
install -m 644 gnome/gnome-application-%{name}.png $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 examples/* $RPM_BUILD_ROOT%prefix/share/%{name}-%{version}/examples
install -m 644 {TODO,README,ChangeLog}  $RPM_BUILD_ROOT%prefix/doc/%{name}-%{version}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%prefix/man/man1/
install -m 644 %{name0}.1 $RPM_BUILD_ROOT%prefix/man/man1/
install -m 644 gnome/chemtool.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications
for i in {cs,de,fr,pl,pt_BR,ru}; do
 install -m 644 locales/$i/chemtool.mo $RPM_BUILD_ROOT/usr/share/locale/$i/LC_MESSAGES;
done

find $RPM_BUILD_ROOT/usr/share/locale -type f | sed -e "s#^$RPM_BUILD_ROOT##g" > locale-files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f locale-files
%defattr(-, root, root)
%prefix/bin/*
%doc %prefix/doc/%{name}-%{version}
%doc %prefix/share/%{name}-%{version}
%doc %prefix/man/man1/*
%doc /usr/share/pixmaps/gnome-application-%{name}.png
%doc /etc/X11/applnk/Applications/chemtool.desktop
%doc /usr/share/icons/%{name}.xpm

%changelog
* Thu Nov  7 2002 Martin Kroeker <martin@ruby.chemie.uni-freiburg.de>
- updated Version, URLs and program description
* Wed Mar 14 2002 Radek Liboska <liboska@uochb.cas.cz>
- the icon stuff and gnome menu integration
* Sat Mar  6 2002 Radek Liboska <liboska@uochb.cas.cz>
- spec file clean up
* Fri Jul 27 2001 Radek Liboska <liboska@uochb.cas.cz>
- 1.4 See %prefix/doc/%{name}-%{version}/ChangeLog for change log


